JcaPublicKeyConverter (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.eac.jcajce

## Class JcaPublicKeyConverter

- java.lang.Object
- - org.bouncycastle.eac.jcajce.JcaPublicKeyConverter

-     public class JcaPublicKeyConverter
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaPublicKeyConverter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.PublicKey` | `getKey(org.bouncycastle.asn1.eac.PublicKeyDataObject publicKeyDataObject)`
    `org.bouncycastle.asn1.eac.PublicKeyDataObject` | `getPublicKeyDataObject(org.bouncycastle.asn1.ASN1ObjectIdentifier usage, java.security.PublicKey publicKey)`
    `JcaPublicKeyConverter` | `setProvider(java.security.Provider provider)`
    `JcaPublicKeyConverter` | `setProvider(java.lang.String providerName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaPublicKeyConverter

          public JcaPublicKeyConverter()

  - ### Method Detail

    - #### setProvider

          public JcaPublicKeyConverter setProvider(java.lang.String providerName)

    - #### setProvider

          public JcaPublicKeyConverter setProvider(java.security.Provider provider)

    - #### getKey

          public java.security.PublicKey getKey(org.bouncycastle.asn1.eac.PublicKeyDataObject publicKeyDataObject)
                                         throws EACException,
                                                java.security.spec.InvalidKeySpecException

      Throws:
        `EACException`
        `java.security.spec.InvalidKeySpecException`

    - #### getPublicKeyDataObject

          public org.bouncycastle.asn1.eac.PublicKeyDataObject getPublicKeyDataObject(org.bouncycastle.asn1.ASN1ObjectIdentifier usage,
                                                                             java.security.PublicKey publicKey)